Не запускается программа IBM Notes

Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот

Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 10:25

Здравствуйте, уважаемые форумчане.
Не знаю, что делать. Установил программу IBM Notes 9 (нужна на работе), но на XFCE она не запускается. Запускается только на Cinnamon.
Помогите решить проблему.

Решение Chocobo » 24 июн 2017, 18:56
Результат:



Пересобрал пакет с вот таким ./DEBIAN/control выкинув по возможности легаси зависимости (Depends и Pre-depends, отсальное неизменно)

Код: Выделить всё

Package: ibm-notes
Version: 9.0-20130309.0942
Section: Office
Priority: extra
Architecture: i386
Depends: gdb, coreutils, unzip, bash, procps, grep, sed, libart-2.0-2, libasound2, libatk1.0-0, libbonobo2-0, libbonoboui2-0, libc6, libcups2, libfontconfig1, libfreetype6, libgcc1, libgconf2-4, libgtk2.0-0, libglib2.0-0, libgnome2-0, libgnomecanvas2-0, libgnomeui-0, libgnomevfs2-0, libglib2.0-0, libice6, libjpeg62, liborbit2, libpam0g, libpango1.0-0, libpng12-0, libpopt0, libsm6, libstdc++6, libx11-6, libxcursor1, libxext6, libxft2, libxi6, libxkbfile1, libxml2, libxrender1, libxss1, libxt6, libxtst6, libz1
Recommends: ttf-xfree86-nonfree
Conflicts: ibm-notes-hotfix, ibm-notes-fixpack (<< 8.5.4), ibm-lotus-activities, ibm-lotus-cae, ibm-lotus-feedreader, ibm-lotus-sametime, ibm-lotus-symphony, ibm-lotus-notes-fixpack, ibm-lotus-notes-hotfix, ibm-lotus-notes
Replaces: ibm-notes-fixpack, ibm-lotus-activities, ibm-lotus-cae, ibm-lotus-feedreader, ibm-lotus-sametime, ibm-lotus-symphony, ibm-lotus-notes-fixpack, ibm-lotus-notes-hotfix, ibm-lotus-notes
Installed-Size: 831480
Maintainer: IBM Product <sw_support@us.ibm.com>
Description: IBM Notes
 IBM Notes software provides a robust and productive user experience with a single point of access to email, calendars, contacts, activities, instant messaging, feeds, collaboration tools, and business applications. Loaded with new features to help you work smarter, the new user interface presents the tools you need, when and where you need them. Plus, you get quick access to your business information in one integrated view, in the context of the work you're doing. That means you get your job done faster, and easier. You can also install the following optional features once you have installed IBM Notes: IBM Sametime, IBM Composite Application Editor, IBM Connections, IBM Feedreader, IBM OpenSocial.
Доставил пару пакетов, от которых избавиться не удалось -
libxp6_1.0.2-2_i386.deb
libgnome-desktop-2-17_2.32.1-2ubuntu1_i386.deb

И вытащил пару старых библиотек, их кинуть после установки в /opt/ibm/notes/
libgnomeprintui-2-2.so.0
libgnomeprint-2-2.so.0

Напоследок перед запуском пдтащить uxterm - apt install xterm
Тебе кстати можно начать именно с uxterm, раз старого хлама в систему все равно уже натаскал.

Ну и все, дальше как на скринах все выглядело :smile: .

Перейти к ответу ➙

Аватара пользователя

Chocobo
Сообщения: 5973
Зарегистрирован: 27 авг 2016, 19:57
Решено: 136
Откуда: НН
Благодарил (а): 424 раза
Поблагодарили: 1550 раз

Не запускается программа IBM Notes

Сообщение Chocobo » 24 июн 2017, 10:36

avldokuchaev, Откуда устанавливал, и ручается ли на чтонибудь при запуске?
Надо больше информации)


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 10:39

Устанавливал из deb пакета. При запуске не ругается. Показывается заставка и все на этом. На cinnamon работает корректно.

Аватара пользователя

Chocobo
Сообщения: 5973
Зарегистрирован: 27 авг 2016, 19:57
Решено: 136
Откуда: НН
Благодарил (а): 424 раза
Поблагодарили: 1550 раз

Не запускается программа IBM Notes

Сообщение Chocobo » 24 июн 2017, 10:43

avldokuchaev, Ну а деб пакет откуда и какой версии? :smile:

И еще посмотри в свойствах ярыка команду запуска - и выполни ее в терминале, может будет полезный для траблшутинга текст там


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 10:47

deb пакет ibm-notes-9.0.i586.deb
Попробую в терминале выполнить. Потом отпишусь.

Аватара пользователя

Chocobo
Сообщения: 5973
Зарегистрирован: 27 авг 2016, 19:57
Решено: 136
Откуда: НН
Благодарил (а): 424 раза
Поблагодарили: 1550 раз

Не запускается программа IBM Notes

Сообщение Chocobo » 24 июн 2017, 10:49

avldokuchaev, и inxi -Fxz сюда же.
пакет 32-бита, ОС тоже?


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 10:59

Да


symon2014

Не запускается программа IBM Notes

Сообщение symon2014 » 24 июн 2017, 13:03

avldokuchaev писал(а): Запускается только на Cinnamon.
Помогите решить проблему.
Прилепить сессию с циннамон. :smile:


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 13:40

16.37.49.png
В терминале команда не выполняется.
У вас нет необходимых прав для просмотра вложений в этом сообщении.


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 13:40

symon2014 писал(а): Прилепить сессию с циннамон.
В смысле?


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 13:59

При выполнении команды в терминале выдает следующее:
/tmp/_lap1366978531529786583wrapper $?=0


symon2014

Не запускается программа IBM Notes

Сообщение symon2014 » 24 июн 2017, 14:02

avldokuchaev писал(а): В смысле?
В прямом, поставить рядом DE циннамон, и для работы с прогой переключать сесии. У меня например стоит основная мате, но есть и циннамон, можно перейти без перезагрузки системы.


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 14:10

symon2014 писал(а): В прямом, поставить рядом DE циннамон, и для работы с прогой переключать сесии. У меня например стоит основная мате, но есть и циннамон, можно перейти без перезагрузки системы.
У меня не очень быстрый компьютер. На Cinnamon тормозит. Поэтому мне и нужно более легкое окружение. Но на других окружениях программа почему-то не запускается.


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 14:38

Переустановил пакет. При первом запуске в терминале выдает следующее:
2017-0617.37.10.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Chocobo
Сообщения: 5973
Зарегистрирован: 27 авг 2016, 19:57
Решено: 136
Откуда: НН
Благодарил (а): 424 раза
Поблагодарили: 1550 раз

Не запускается программа IBM Notes

Сообщение Chocobo » 24 июн 2017, 14:45

Это параметры для JVM, они не дожны быть критичны.
Но критичной может быть сама версия java, и прочих системных компонентов - пакету уже слишком много лет, вкорячивать его в 18-й минт вряд ли есть смысл.

У самой IBM есть заметка - про то, с какими костылями надо ставить их продукт в Убу 14.04 (минт 17.Х).
http://www-01.ibm.com/support/docview.w ... wg21671312
С тех пор прошло еще три года. :crazy:


symon2014

Не запускается программа IBM Notes

Сообщение symon2014 » 24 июн 2017, 14:50

avldokuchaev, А чего в виртуалке? Тоже тормоз. Может на живом циннамоне поставить?


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 14:53

Chocobo писал(а): Это параметры для JVM, они не дожны быть критичны.
Но критичной может быть сама версия java, и прочих системных компонентов - пакету уже слишком много лет, вкорячивать его в 18-й минт вряд ли есть смысл.

У самой IBM есть заметка - про то, с какими костылями надо ставить их продукт в Убу 14.04 (минт 17.Х).
http://www-01.ibm.com/support/docview.w ... wg21671312
С тех пор прошло еще три года.
Тогда почему все работает на Linux Mint 18.1 Cinnamon??? И на Debian 9 Cinnamon тоже работает.


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 14:54

symon2014 писал(а): avldokuchaev, А чего в виртуалке? Тоже тормоз. Может на живом циннамоне поставить?
Просто пытаюсь с домашнего компьютера проблему решить. Поэтому на виртуалке.


Автор темы
avldokuchaev
Сообщения: 29
Зарегистрирован: 24 июн 2017, 10:22
Благодарил (а): 2 раза

Не запускается программа IBM Notes

Сообщение avldokuchaev » 24 июн 2017, 15:32

Вот содержимое файла в директории /tmp/
2017-06-2418.30.26.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Chocobo
Сообщения: 5973
Зарегистрирован: 27 авг 2016, 19:57
Решено: 136
Откуда: НН
Благодарил (а): 424 раза
Поблагодарили: 1550 раз

Не запускается программа IBM Notes

Сообщение Chocobo » 24 июн 2017, 16:12

avldokuchaev писал(а): Тогда почему все работает на Linux Mint 18.1 Cinnamon??? И на Debian 9 Cinnamon тоже работает.
Вопрос исключительно к вендору а не к дистрибутиву. Если на зависимости при установке не ругался - то че б ей не работать, казалось бы? :smile:
Программа закрытая, пакетов или толковой документации в открытом доступе нет, обновлений тоже. в списке поддерживаемых ОС только 10.04 (минт 9)и 12.04 (минт 13), а у нас на подходе уже 17.10 (и следом 19-й минт)
Снимок экрана от 2017-06-24 18-28-30.png
Банальных требований к системе (ядро, glibc, java и т.д.) - тоже не видать. Из чего можно сделать вывод, что плохие из них сопровождающие своего продукта.

И каким образом он у тебя вообще ставится, кстати? :hm: Зависимый libcupsys2 и правда давно выпилен в пользу libcups2. Ты уже пересобирал пакет для правки зависимостей?
Снимок экрана от 2017-06-24 19-10-52.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Вернуться в «Xfce»